Author Topic: Using a Selection Set once in ACAD?  (Read 5380 times)

0 Members and 1 Guest are viewing this topic.

Jeff_M

  • King Gator
  • Posts: 3948
  • C3D user & customizer
Re: Using a Selection Set once in ACAD?
« Reply #30 on: January 11, 2008, 02:32:53 PM »
Still, I do want to re visit this again
Have fun with it, Mark. However, I can see no practical use for it in my daily work so don't expect much more participation by me.

The biggest drawback I see for this thought process is that the button is useless unless your macro has run. So unless you have it running on every drawing you open, and updating accordingly, you will never know if you are even going to have the SS available, much less it contain the object you think you want.

I'm not saying it won't work for you, I'm just saying I'm pretty sure I wouldn't have any use for it. And that's what usually gets me interested in working on something with someone....I must see SOME benefit for myself by helping out.

ML

  • Guest
Re: Using a Selection Set once in ACAD?
« Reply #31 on: January 11, 2008, 02:41:30 PM »

Sure, I completely understand; that is why I haven't been too gun ho with it either.
I may use it once or twice to be honest; however when we first started the topic, I did have a good, valid use for it; it just fell to the back burner for now.

Still, I am not sure that I fully agree (or understand) what you are saying.

I (or the user) would run the VBA Module which then would create the sset; in which case the sset would be in every drawing that the user uses that VBA routine on. So, the button would work just fine on each drawing.

Thanks Jeff!

Mark




ML

  • Guest
Re: Using a Selection Set once in ACAD?
« Reply #32 on: January 11, 2008, 02:43:35 PM »

Yes, please understand; this is a ONCE in a LONG while need :)

I guess some weeks, I just have too much time on my hands :)

Mark

ML

  • Guest
Re: Using a Selection Set once in ACAD?
« Reply #33 on: January 11, 2008, 06:15:05 PM »

On the flip side,
This macro gets ran on startup

Sub AcadStartup
 RunMacro ("WsCurrent")
End Sub

Code: [Select]
Sub WsCurrent()

Dim Username As Variant
Dim WshNetwork As Variant
Dim Preferences As AcadPreferences
Dim ActProfile As String
Dim CurrMenuPath As String
Dim CurrMenuFile As String

Set WshNetwork = CreateObject("WScript.Network")
Set Preferences = ThisDrawing.Application.Preferences

Username = WshNetwork.Username
ActProfile = Preferences.Profiles.ActiveProfile
CurrMenuPath = "C:\Documents and Settings\" & Username & "\Application Data\Autodesk\Autodesk Land Desktop 2006\R16.2\enu\Support\"
CurrMenuFile = Preferences.Files.MenuFile

If ActProfile = "Land Desktop" Then
 CurrMenuFile = CurrMenuPath & "land"
 ThisDrawing.SetVariable "wscurrent", "Land Destop Complete"
Else
 If ActProfile = "MapLandDevelopmentDesktop" Then
 CurrMenuFile = CurrMenuPath & "acmap"
 ThisDrawing.SetVariable "wscurrent", "Map Classic"
End If
End If
 
End Sub